Skip to main content
PUT
/
tables
/
{tableName}
/
state
Enable/disable a table
curl --request PUT \
  --url https://dev.startree.ai/tables/{tableName}/state \
  --header 'Authorization: <api-key>'
import requests

url = "https://dev.startree.ai/tables/{tableName}/state"

headers = {"Authorization": "<api-key>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};

fetch('https://dev.startree.ai/tables/{tableName}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Authorizations

Authorization
string
header
required

The format of the key is "Basic <token>" or "Bearer <token>"

Path Parameters

tableName
string
required

Table name

Query Parameters

type
string
required

realtime|offline

state
string
required

enable|disable

Response